SmartgridOne logo
SmartgridOne logo
Api
Activate email OTP POSTActivate TOTP POSTGet active 2FA methods GETSet or reset email OTP POSTInitiate email OTP challenge POSTInitiate an email address transfer POSTSet or reset TOTP POSTTime until the next email OTP may be generated GETSend a password reset email POSTComplete an email address transfer PUTTime until the next recovery code guess GETDeactivate email OTP DELETEDeactivate TOTP DELETEReset the recovery codes of a user POSTSend a password reset OTP POSTTime until the next TOTP guess GETUpdate password via OTP PUTUpdate password via sudo token PUTCheck a password reset OTP POSTComplete email OTP challenge POSTVerify a recovery code POSTVerify TOTP code POST
User
POST
/user/password/reset/send

Send a password reset OTP to an existing user. Wait at least 60 seconds between successive calls

Query Parameters

origin?string

The mail configuration which should be used to send the email

Lengthlength <= 256
language?string

The language which should be used for sending the email

Length2 <= length <= 2

Request Body

application/json

The email address to send the password reset link to

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://authentication.eniris.be/user/password/reset/send" \  -H "Content-Type: application/json" \  -d '{    "email": "user@example.com"  }'
null
{
  "statusCode": 400,
  "error": "Bad Request",
  "message": "Password must contain at least one uppercase character"
}
{
  "statusCode": 403,
  "error": "Forbidden",
  "message": "FORBIDDEN_MAIL_PROVIDER"
}
{
  "statusCode": 429,
  "retryAfter": 0,
  "error": "Too many requests",
  "message": "TOO_MANY_RESET_MAIL_ATTEMPTS"
}
{
  "statusCode": 500,
  "error": "Internal server error",
  "message": "UNABLE_TO_FIND_MAIL_TEMPLATE"
}

Reset the recovery codes of a user POST

Providing a sudo token, regenerate new recovery codes for a user

Time until the next TOTP guess GET

Get the minimum time until the next TOTP guess may be made

email*string
Formatemail
Lengthlength <= 256